Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.process.audit
Class ProcessInstanceDbLog

    java.lang.Object
      org.jbpm.process.audit.ProcessInstanceDbLog

Deprecated.

    @Deprecated
    public class ProcessInstanceDbLog

extends Object

This class has been deprecated in favor of `JPAProcessInstanceDbLog`. Please, please use that class instead of this.

Constructor Summary
`ProcessInstanceDbLog()` Deprecated.

Method Summary
`static void` | `clear()` Deprecated.
`static List<ProcessInstanceLog>` | `findActiveProcessInstances(String processId)` Deprecated.
`static List<NodeInstanceLog>` | `findNodeInstances(long processInstanceId)` Deprecated.
`static List<NodeInstanceLog>` | `findNodeInstances(long processInstanceId, String nodeId)` Deprecated.
`static ProcessInstanceLog` | `findProcessInstance(long processInstanceId)` Deprecated.
`static List<ProcessInstanceLog>` | `findProcessInstances()` Deprecated.
`static List<ProcessInstanceLog>` | `findProcessInstances(String processId)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProcessInstanceDbLog

    public ProcessInstanceDbLog()

  Deprecated.

Method Detail

### findProcessInstances

    public static List<ProcessInstanceLog> findProcessInstances()

  Deprecated.

### findProcessInstances

    public static List<ProcessInstanceLog> findProcessInstances(String processId)

  Deprecated.

### findActiveProcessInstances

    public static List<ProcessInstanceLog> findActiveProcessInstances(String processId)

  Deprecated.

### findProcessInstance

    public static ProcessInstanceLog findProcessInstance(long processInstanceId)

  Deprecated.

### findNodeInstances

    public static List<NodeInstanceLog> findNodeInstances(long processInstanceId)

  Deprecated.

### findNodeInstances

    public static List<NodeInstanceLog> findNodeInstances(long processInstanceId,
                                                          String nodeId)

  Deprecated.

### clear

    public static void clear()

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.